cad/gtkwave - The NetBSD Packages Collection

Electronic waveform viewer

GTKWave is a waveform viewer which supports waveform data in
the following formats:

(vcd) VCD/EVCD -- Verilog Value Change Description files
(out) Synopsys Timemill/Powermill/Nanosim .out files
(lxt) Tony Bybell's LXT format, which can be generated by Icarus Verilog

Build dependencies

devel/gperf pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/gmake lang/perl5 devel/pkgconf

Runtime dependencies

devel/gconfmm textproc/libxml2 x11/gtk2 databases/shared-mime-info sysutils/desktop-file-utils graphics/gnome-icon-theme graphics/hicolor-icon-theme devel/gconfmm textproc/libxml2 x11/gtk2 databases/shared-mime-info sysutils/desktop-file-utils graphics/gnome-icon-theme graphics/hicolor-icon-theme

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfgtkwave-3.3.107nb1.tgz
NetBSD 8.0earmv7hfgtkwave-3.3.107nb1.tgz
NetBSD 8.0earmv7hfgtkwave-3.3.109.tgz
NetBSD 8.0i386gtkwave-3.3.106.tgz
NetBSD 8.0i386gtkwave-3.3.107nb1.tgz
NetBSD 8.0i386gtkwave-3.3.107nb1.tgz
NetBSD 8.0i386gtkwave-3.3.109.tgz
NetBSD 8.0powerpcgtkwave-3.3.106.tgz
NetBSD 8.0powerpcgtkwave-3.3.107nb1.tgz
NetBSD 8.0powerpcgtkwave-3.3.107nb1.tgz
NetBSD 8.0powerpcgtkwave-3.3.107nb1.tgz
NetBSD 8.0x86_64gtkwave-3.3.107nb1.tgz
NetBSD 8.0x86_64gtkwave-3.3.106.tgz
NetBSD 8.0x86_64gtkwave-3.3.107nb1.tgz
NetBSD 8.0x86_64gtkwave-3.3.109.tgz
NetBSD 9.0aarch64gtkwave-3.3.109.tgz
NetBSD 9.0aarch64gtkwave-3.3.106.tgz
NetBSD 9.0aarch64gtkwave-3.3.107nb1.tgz
NetBSD 9.0aarch64gtkwave-3.3.107nb1.tgz
NetBSD 9.0alphagtkwave-3.3.107nb1.tgz
NetBSD 9.0alphagtkwave-3.3.109.tgz
NetBSD 9.0earmv6hfgtkwave-3.3.106.tgz
NetBSD 9.0earmv6hfgtkwave-3.3.107nb1.tgz
NetBSD 9.0earmv6hfgtkwave-3.3.107nb1.tgz
NetBSD 9.0earmv6hfgtkwave-3.3.107nb1.tgz
NetBSD 9.0earmv7hfgtkwave-3.3.109.tgz
NetBSD 9.0earmv7hfgtkwave-3.3.106.tgz
NetBSD 9.0earmv7hfgtkwave-3.3.107nb1.tgz
NetBSD 9.0earmv7hfgtkwave-3.3.107nb1.tgz
NetBSD 9.0earmv7hfgtkwave-3.3.107nb1.tgz
NetBSD 9.0earmv7hfgtkwave-3.3.107nb1.tgz
NetBSD 9.0earmv7hfgtkwave-3.3.109.tgz
NetBSD 9.0i386gtkwave-3.3.106.tgz
NetBSD 9.0i386gtkwave-3.3.107nb1.tgz
NetBSD 9.0i386gtkwave-3.3.107nb1.tgz
NetBSD 9.0i386gtkwave-3.3.109.tgz
NetBSD 9.0mips64ebgtkwave-3.3.107nb1.tgz
NetBSD 9.0mips64ebgtkwave-3.3.106.tgz
NetBSD 9.0mips64ebgtkwave-3.3.107nb1.tgz
NetBSD 9.0powerpcgtkwave-3.3.107nb1.tgz
NetBSD 9.0powerpcgtkwave-3.3.106.tgz
NetBSD 9.0powerpcgtkwave-3.3.107nb1.tgz
NetBSD 9.0powerpcgtkwave-3.3.107nb1.tgz
NetBSD 9.0powerpcgtkwave-3.3.107nb1.tgz
NetBSD 9.0sparc64gtkwave-3.3.107nb1.tgz
NetBSD 9.0sparc64gtkwave-3.3.109.tgz
NetBSD 9.0sparcgtkwave-3.3.107nb1.tgz
NetBSD 9.0sparcgtkwave-3.3.106.tgz
NetBSD 9.0sparcgtkwave-3.3.107nb1.tgz
NetBSD 9.0x86_64gtkwave-3.3.107nb1.tgz
NetBSD 9.0x86_64gtkwave-3.3.109.tgz
NetBSD 9.0x86_64gtkwave-3.3.107nb1.tgz
NetBSD 9.0x86_64gtkwave-3.3.107nb1.tgz
NetBSD 9.0x86_64gtkwave-3.3.106.tgz
NetBSD 9.0x86_64gtkwave-3.3.107nb1.tgz
NetBSD 9.0x86_64gtkwave-3.3.109.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

gconf
Use GConf to store preferences.
gtkwave-tcl
Enable tcl for gtkwave.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.